<?php

namespace Modules\HR\Enums;

enum EligibilityEnum: string
{
    case All = 'all';
    case ReligionBased = 'religion_based';
    case Formula = 'formula';

    public const ALL = self::All->value;
    public const RELIGION_BASED = self::ReligionBased->value;

    public static function casesAsArray(): array
    {
        return array_map(fn(self $case) => $case->value, self::cases());
    }
}
